import { GenericObject } from "./interfaces";

interface Cache {
    (module: string | GenericObject, url: string, value?: string | { value: string, sanitize?: boolean }): string;
}

interface Text {
    /**
     * the dojo/text caches it's own resources because of dojo.cache
     */
    dynamic: boolean;

    normalize(id: string, toAbsMid: Function): string; /* TODO: Align with loader api */

    load(id: string, parentRequire: Function, loaded: Function): void; /* TODO: Align with loader api */
}